Bug 1073028 - System stuck at boot after timed out waiting for device(device uuid).
System stuck at boot after timed out waiting for device(device uuid).
Status: RESOLVED INVALID
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
64bit Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: systemd maintainers
E-mail List
https://forums.opensuse.org/showthrea...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-15 08:10 UTC by Shamsuddeen Idris
Modified: 2018-04-24 06:53 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
fbui: needinfo? (rdtitan21)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shamsuddeen Idris 2017-12-15 08:10:02 UTC
User-Agent:       Mozilla/5.0 (iPhone; CPU iPhone OS 11_2_1 like Mac OS X) AppleWebKit/604.4.7 (KHTML, like Gecko) Version/11.0 Mobile/15C153 Safari/604.1
Build Identifier: 

System crashed after x-server and plasma freezes. I tried to reboot the system in recovery mode from the grub2 boot menu but after normal system boot process the system fails to pass the boot checks. All processes checks out except start job process for device. After the 1:30 timer,  timed out waiting for device and dependency failed for swap output is displayed. Sometimes a noisy boot screen appears. The system often suspend during boot process while on power then resume boot process and stuck after the DEPEND error message. Haven’t login to the system in 5months. 

Reproducible: Always

Steps to Reproduce:
1. Boot system
2. Boot system
3. Boot system
Actual Results:  
Same result the system couldn’t complete the boot process 

Expected Results:  
Complete the system checks and proceed to the login session 

And I also use liveUSB to recover the system but the same outcome.

https://forums.opensuse.org/showthread.php/528566-Tumbleweed-Boot-Error-(Dependency-Failed-for-Swap)

Above is the link to the output info on the system error messages
Comment 1 Franck Bui 2018-01-09 16:57:48 UTC
Hi,

In https://forums.opensuse.org/showthread.php/528566-Tumbleweed-Boot-Error-(Dependency-Failed-for-Swap)?p=2848038#post2848038, you wrote:

 Also, "/mnt/etc/fstab" returns permission denied

What did mean by this ?

Can you try to comment the entry for swap in /mnt/etc/fstab again and if it fails for some reasons can you inspect the content of dmesg and see if you can find something related to the access to fstab ?

Thanks.
Comment 2 Franck Bui 2018-01-24 16:33:05 UTC
No feedback provided since 15 days, I'm closing this bug.

Feel free to re-open if you're still facing your issue and in that case please provide the information asked in comment #1.

Thanks.
Comment 3 Shamsuddeen Idris 2018-02-22 14:43:09 UTC
problem has not been resolved
Comment 4 Franck Bui 2018-02-22 14:53:13 UTC
(In reply to Shamsuddeen Idris from comment #3)
> problem has not been resolved

You were supposed to provide feedback.

Please answer question from comment #1 otherwise I'll close it again.
Comment 5 Shamsuddeen Idris 2018-02-24 00:26:42 UTC
I’m sorry bad!



/mnt/etc/fstab(Permission denied)  https://i.imgur.com/pBdTPKl.jpg


/mnt/etc/fstab  https://i.imgur.com/L0Aw3b0.jpg




dmesg content.  https://i.imgur.com/ORvjaQh.jpg




Thank you.
Comment 6 Shamsuddeen Idris 2018-02-24 00:29:54 UTC
(In reply to Franck Bui from comment #4)
> (In reply to Shamsuddeen Idris from comment #3)
> > problem has not been resolved
> 
> You were supposed to provide feedback.
> 
> Please answer question from comment #1 otherwise I'll close it again.

I’m sorry bad!



/mnt/etc/fstab(Permission denied)  https://i.imgur.com/pBdTPKl.jpg


/mnt/etc/fstab  https://i.imgur.com/L0Aw3b0.jpg




dmesg content.  https://i.imgur.com/ORvjaQh.jpg



Thank you.
Comment 7 Shamsuddeen Idris 2018-02-24 00:38:03 UTC
(In reply to Franck Bui from comment #1)
> Hi,
> 
> In
> https://forums.opensuse.org/showthread.php/528566-Tumbleweed-Boot-Error-
> (Dependency-Failed-for-Swap)?p=2848038#post2848038, you wrote:
> 
>  Also, "/mnt/etc/fstab" returns permission denied
> 
> What did mean by this ?
> 
> Can you try to comment the entry for swap in /mnt/etc/fstab again and if it
> fails for some reasons can you inspect the content of dmesg and see if you
> can find something related to the access to fstab ?
> 
> Thanks.

I’m sorry bad!



/mnt/etc/fstab(Permission denied)  https://i.imgur.com/pBdTPKl.jpg


/mnt/etc/fstab  https://i.imgur.com/L0Aw3b0.jpg




dmesg content.  https://i.imgur.com/ORvjaQh.jpg



Thank you.
Comment 8 Franck Bui 2018-03-30 10:25:14 UTC
(In reply to Shamsuddeen Idris from comment #6)
> 
> /mnt/etc/fstab(Permission denied)  https://i.imgur.com/pBdTPKl.jpg

You can't execute /mnt/etc/fstab.
Comment 9 Franck Bui 2018-03-30 10:27:23 UTC
So as already asked in comment #1:

From the rescue system, can you try to comment the entry for swap in /mnt/etc/fstab again by putting a '#' char at the beginning of the line and try to reboot ?
Comment 10 Franck Bui 2018-04-11 12:11:19 UTC
Shamsuddeen Idris, I'm closing this bug again as you don't provide any feedback.

There's no point in re-open it again if you don't have time to help fixing your issue.

PS: in case you still want to debug your issue, see comment #9 for the instructions.
Comment 11 Shamsuddeen Idris 2018-04-11 12:30:39 UTC
(In reply to Franck Bui from comment #9)
> So as already asked in comment #1:
> 
> From the rescue system, can you try to comment the entry for swap in
> /mnt/etc/fstab again by putting a '#' char at the beginning of the line and
> try to reboot ?

I add the # character and reboot, still the same result. 


Please can I reinstall the same system without losing my data?


I’m sorry for the late response 
Comment 12 Franck Bui 2018-04-11 12:36:38 UTC
(In reply to Shamsuddeen Idris from comment #11)
> I add the # character and reboot, still the same result. 
> 

How does it fail now ?

Your problem is supposed to be related to your swap device. If the swap entry in fstab has been commented out I don't see why it still fails.

> 
> Please can I reinstall the same system without losing my data?
> 

I don't know, it depends on your partition layout...
Comment 13 Franck Bui 2018-04-11 12:37:40 UTC
And please don't use priority "P0" for your issue: it's very specific to your setup so it doesn't deserve priority "P0".
Comment 14 Shamsuddeen Idris 2018-04-11 12:41:18 UTC
(In reply to Shamsuddeen Idris from comment #11)
> (In reply to Franck Bui from comment #9)
> > So as already asked in comment #1:
> > 
> > From the rescue system, can you try to comment the entry for swap in
> > /mnt/etc/fstab again by putting a '#' char at the beginning of the line and
> > try to reboot ?
> 
> I add the # character and reboot, still the same result. 
> 
> 
> Please can I reinstall the same system without losing my data?
> 
> 
> I’m sorry for the late response

Can I remove the harddisk from the system and extract the data without damaging the contents?

Please advise.

Thank you
Comment 15 Shamsuddeen Idris 2018-04-11 12:42:25 UTC
(In reply to Franck Bui from comment #13)
> And please don't use priority "P0" for your issue: it's very specific to
> your setup so it doesn't deserve priority "P0".

Okay
Comment 16 Shamsuddeen Idris 2018-04-11 12:44:27 UTC
(In reply to Franck Bui from comment #12)
> (In reply to Shamsuddeen Idris from comment #11)
> > I add the # character and reboot, still the same result. 
> > 
> 
> How does it fail now ?
> 
> Your problem is supposed to be related to your swap device. If the swap
> entry in fstab has been commented out I don't see why it still fails.
> 
> > 
> > Please can I reinstall the same system without losing my data?
> > 
> 
> I don't know, it depends on your partition layout...


Let me share the content of /etc/fstab/
Comment 17 Franck Bui 2018-04-11 12:49:14 UTC
(In reply to Shamsuddeen Idris from comment #14)
> 
> Can I remove the harddisk from the system and extract the data without
> damaging the contents?

Yes you can backup your data then reinstall your system, it would be an alternative solution.
Comment 18 Shamsuddeen Idris 2018-04-11 13:13:37 UTC
Here fstab content 
https://ibb.co/nBarCH
Comment 19 Shamsuddeen Idris 2018-04-11 13:17:27 UTC
(In reply to Franck Bui from comment #17)
> (In reply to Shamsuddeen Idris from comment #14)
> > 
> > Can I remove the harddisk from the system and extract the data without
> > damaging the contents?
> 
> Yes you can backup your data then reinstall your system, it would be an
> alternative solution.



Okay thanks. Please bear with me, I barely use the system long enough, I very inexperienced to Linux system
Comment 20 Shamsuddeen Idris 2018-04-11 14:05:00 UTC
(In reply to Shamsuddeen Idris from comment #18)
> Here fstab content 
> https://ibb.co/nBarCH



Hey Franck, does the contents look good?
Comment 21 Franck Bui 2018-04-11 14:20:45 UTC
IMHO the easiest way would be to backup your data and reinstall your system *after*.

To backup your data, you can boot the live CD/USB and mount the partition which contains your data you want to save. You can then copy them into a USB stick/disk.

Make sure to have all your data saved before reinstalling a new system.
Comment 22 Shamsuddeen Idris 2018-04-12 12:25:01 UTC
(In reply to Shamsuddeen Idris from comment #19)
> (In reply to Franck Bui from comment #17)
> > (In reply to Shamsuddeen Idris from comment #14)
> > > 
> > > Can I remove the harddisk from the system and extract the data without
> > > damaging the contents?
> > 
> > Yes you can backup your data then reinstall your system, it would be an
> > alternative solution.
> 
> 
> 
> Okay thanks. Please bear with me, I barely use the system long enough, I
> very inexperienced to Linux system

(In reply to Franck Bui from comment #21)
> IMHO the easiest way would be to backup your data and reinstall your system
> *after*.
> 
> To backup your data, you can boot the live CD/USB and mount the partition
> which contains your data you want to save. You can then copy them into a USB
> stick/disk.
> 
> Make sure to have all your data saved before reinstalling a new system.

Okay I’m gonna try to backup now before I reinstall new system. Please help me out!
Live cd/usb menu: 
https://ibb.co/jFSSp7
Comment 23 Franck Bui 2018-04-12 14:18:58 UTC
Start the live CD/USB like you already did here: https://forums.opensuse.org/showthread.php/528566-Tumbleweed-Boot-Error-(Dependency-Failed-for-Swap

From there you should be able to mount the partition that contains your data (with something like "mount /dev/sdx /mnt").
Comment 24 Franck Bui 2018-04-24 06:53:26 UTC
At that point, I don't think this is the right place to continue sorting this out as you clearly need to be guided in order to backup your data.

IMHO you should learn the basics and ask some help via forums or mailing-lists if you still need it.

So I'm closing again this bug.

Hope that makes sense.